# Q. What is this file?
# A. This file contains options which allow you to configure your multiworld experience while allowing
#    others to play how they want as well.
#
# Q. How do I use it?
# A. The options in this file are weighted. This means the higher number you assign to a value, the
#    more chances you have for that option to be chosen. For example, an option like this:
#
#    map_shuffle:
#      on: 5
#      off: 15
#
#    Means you have 5 chances for map shuffle to occur, and 15 chances for map shuffle to be turned
#    off.
#
# Q. I've never seen a file like this before. What characters am I allowed to use?
# A. This is a .yaml file. You are allowed to use most characters.
#    To test if your yaml is valid or not, you can use this website:
#        http://www.yamllint.com/
#    You can also verify that your Archipelago options are valid at this site:
#        https://archipelago.gg/check

# Your name in-game, limited to 16 characters.
#     {player} will be replaced with the player's slot number.
#     {PLAYER} will be replaced with the player's slot number, if that slot number is greater than 1.
#     {number} will be replaced with the counter value of the name.
#     {NUMBER} will be replaced with the counter value of the name, if the counter value is greater than 1.
name: Player{number}

# Used to describe your yaml. Useful if you have multiple files.
description: Default Castlevania - Circle of the Moon Template

game: Castlevania - Circle of the Moon
requires:
  version: 0.6.6 # Version of Archipelago required for this yaml to work as expected.

Castlevania - Circle of the Moon:
  ################
  # Game Options #
  ################
  progression_balancing:
    # A system that can move progression earlier, to try and prevent the player from getting stuck and bored early.
    # 
    # A lower setting means more getting stuck. A higher setting means less getting stuck.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 99
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-99: 0 # random value between 0 and 99
    disabled: 0 # equivalent to 0
    normal: 50 # equivalent to 50
    extreme: 0 # equivalent to 99

  accessibility:
    # Set rules for reachability of your items/locations.
    # 
    # **Full:** ensure everything can be reached and acquired.
    # 
    # **Minimal:** ensure what is needed to reach your goal can be acquired.
    full: 50
    minimal: 0

  completion_goal:
    # The goal for game completion. Can be defeating Dracula, winning in the Battle Arena, or both.
    # If you aren't sure which one you have while playing, select the Dash Boots in the Magic Item menu.
    dracula: 50
    battle_arena: 0
    battle_arena_and_dracula: 0

  iron_maiden_behavior:
    # Sets how the iron maiden barriers blocking the entrances to Underground Gallery and Waterway will behave.
    # Vanilla: Vanilla behavior. Must press the button guarded by Adramelech to break them.
    # Start Broken: The maidens will be broken from the start.
    # Detonator In Pool: Adds a Maiden Detonator item in the pool that will detonate the maidens when found. Adramelech will guard an extra check.
    vanilla: 50
    start_broken: 0
    detonator_in_pool: 0

  required_last_keys:
    # How many Last Keys are needed to open the door to the Ceremonial Room. This will lower if higher than Available Last Keys.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 9
    1: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-9: 0 # random value between 0 and 9

  available_last_keys:
    # How many Last Keys are in the pool in total.
    # To see this in-game, select the Last Key in the Magic Item menu (when you have at least one) or touch the Ceremonial Room door.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 9
    1: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-9: 0 # random value between 0 and 9

  required_skirmishes:
    # Forces a Last Key after every boss or after every boss and the Battle Arena and forces the required Last Keys to enter the Ceremonial Room to 8 or 9 for All Bosses and All Bosses And Arena respectively.
    # The Available and Required Last Keys options will be overridden to the respective values.
    none: 50
    all_bosses: 0
    all_bosses_and_arena: 0

  nerf_roc_wing:
    # Initially nerfs the Roc Wing by removing its ability to jump infinitely and reducing its jump height. You can power it back up to its vanilla behavior by obtaining the following:
    # Double: Allows one jump in midair, using your double jump.
    # Kick Boots: Restores its vanilla jump height.
    # Both: Enables infinite midair jumping.
    # Note that holding A while Roc jumping will cause you to rise slightly higher; this is accounted for in logic.
    'false': 50
    'true': 0

  ##############
  # difficulty #
  ##############
  buff_ranged_familiars:
    # Makes Familiar projectiles deal double damage to enemies.
    'false': 50
    'true': 0

  buff_sub_weapons:
    # Increases damage dealt by sub-weapons and item crushes in Shooter and non-Shooter Modes.
    'false': 50
    'true': 0

  buff_shooter_strength:
    # Increases Nathan's strength in Shooter Mode to match his strength in Vampire Killer Mode.
    'false': 50
    'true': 0

  item_drop_randomization:
    # Randomizes what enemies drop what items as well as the drop rates for said items.
    # Bosses and candle enemies will be guaranteed to have high-tier items in all of their drop slots, and "easy" enemies (below 61 HP) will only drop low-tier items in all of theirs.
    # All other enemies will drop a low or mid-tier item in their common drop slot, and a low, mid, or high-tier item in their rare drop slot.
    # The common slot item has a 6-10% base chance of appearing, and the rare has a 3-6% chance.
    # If Tiered is chosen, all enemies below 144 (instead of 61) HP will be considered "easy", rare items that land on bosses will be exclusive to them, enemies with 144-369 HP will have a low-tier in its common slot and a mid-tier in its rare slot, and enemies with more than 369 HP will have a mid-tier in its common slot and a high-tier in its rare slot.
    # See the Game Page for more info.
    disabled: 0
    normal: 50
    tiered: 0

  ignore_cleansing:
    # Removes the logical requirement for the Cleansing to go beyond the first Underground Waterway rooms from either of the area's sides. You may be required to brave the harmful water without it.
    'false': 50
    'true': 0

  halve_dss_cards_placed:
    # Places only half of the DSS Cards in the item pool.
    # A valid combo that lets you freeze or petrify enemies to use as platforms will always be placed.
    'false': 50
    'true': 0

  sub_weapon_shuffle:
    # Randomizes which sub-weapon candles have which sub-weapons.
    # The total available count of each sub-weapon will be consistent with that of the vanilla game.
    'false': 50
    'true': 0

  early_escape_item:
    # Ensures the chosen Catacomb escape item will be placed in a starting location within your own game, accessible with nothing.
    none: 0
    double: 50
    roc_wing: 0
    double_or_roc_wing: 0

  death_link:
    # When you die, everyone who enabled death link dies. Of course, the reverse is true too.
    # 
    # Received DeathLinks will not kill you in the Battle Arena unless Arena On is chosen.
    'off': 50
    'on': 0
    arena_on: 0

  ###################
  # quality of life #
  ###################
  auto_run:
    # Makes Nathan always run when pressing left or right without needing to double-tap.
    'false': 50
    'true': 0

  dss_patch:
    # Patches out being able to pause during the DSS startup animation and switch the cards in the menu to use any combos you don't currently have, as well as changing the element of a summon to one you don't currently have.
    'false': 50
    'true': 0

  always_allow_speed_dash:
    # Allows activating the speed dash combo (Pluto + Griffin) without needing the respective cards first.
    'false': 50
    'true': 0

  pluto_griffin_air_speed:
    # Increases Nathan's air speeds with the Pluto + Griffin combo active to be the same as his ground speeds. Anything made possible with the increased air speed is out of logic.
    'false': 50
    'true': 0

  countdown:
    # Displays, below and near the right side of the MP bar, the number of un-found progression/useful-marked items or the total check locations remaining in the area you are currently in.
    none: 50
    majors: 0
    all_locations: 0

  disable_battle_arena_mp_drain:
    # Makes the Battle Arena not drain Nathan's MP, so that DSS combos can be used like normal.
    'false': 50
    'true': 0

  skip_dialogues:
    # Skips all cutscene dialogue besides the ending.
    'false': 50
    'true': 0

  skip_tutorials:
    # Skips all Magic Item and DSS-related tutorial textboxes.
    'false': 50
    'true': 0

  battle_arena_music:
    # Enables any looping song from the game to play inside the Battle Arena instead of it being silent the whole time.
    nothing: 50
    requiem: 0
    a_vision_of_dark_secrets: 0
    inversion: 0
    awake: 0
    the_sinking_old_sanctuary: 0
    clockwork: 0
    shudder: 0
    fate_to_despair: 0
    aquarius: 0
    clockwork_mansion: 0
    big_battle: 0
    nightmare: 0
    vampire_killer: 0
    illusionary_dance: 0
    proof_of_blood: 0
    repose_of_souls: 0
    circle_of_the_moon: 0

  ###########################
  # Item & Location Options #
  ###########################
  local_items:
    # Forces these items to be in their native world.
    []

  non_local_items:
    # Forces these items to be outside their native world.
    []

  start_inventory:
    # Start with the specified amount of these items. Example: "Bomb: 1"
    {}

  start_inventory_from_pool:
    # Start with the specified amount of these items and don't place them in the world. Example: "Bomb: 1"
    # 
    # The game decides what the replacement items will be.
    {}

  start_hints:
    # Start with these item's locations prefilled into the ``!hint`` command.
    []

  start_location_hints:
    # Start with these locations and their item prefilled into the ``!hint`` command.
    []

  exclude_locations:
    # Prevent these locations from having an important item.
    []

  priority_locations:
    # Prevent these locations from having an unimportant item.
    []

  item_links:
    # Share part of your item pool with other players.
    []

  plando_items:
    # Generic items plando.
    []
